# Uses of Class
it.tdlight.jni.TdApi.MessageSponsorType

## Uses of TdApi.MessageSponsorType in it.tdlight.jni

Subclasses of TdApi.MessageSponsorType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.MessageSponsorTypeBot`
The sponsor is a bot.
`static final class`
`TdApi.MessageSponsorTypePrivateChannel`
The sponsor is a private channel chat.
`static final class`
`TdApi.MessageSponsorTypePublicChannel`
The sponsor is a public channel chat.
`static final class`
`TdApi.MessageSponsorTypeWebApp`
The sponsor is a web app.
`static final class`
`TdApi.MessageSponsorTypeWebsite`
The sponsor is a website.
Fields in it.tdlight.jni declared as TdApi.MessageSponsorType
Modifier and Type
Field
Description
`TdApi.MessageSponsorType`
TdApi.MessageSponsor.`type`
Type of the sponsor.
Constructors in it.tdlight.jni with parameters of type TdApi.MessageSponsorType
Modifier
Constructor
Description
``
`MessageSponsor(TdApi.MessageSponsorType type, TdApi.ChatPhotoInfo photo, String info)`
Information about the sponsor of a message.